<?php

/**
 * SilverMountain About Page
 * @package SilverMountain
 *
*/

if( !class_exists('SilverMountain_About_page') ):

	class SilverMountain_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'silvermountain_backend_menu'),999);

		}

		// Add Backend Menu
        function silvermountain_backend_menu(){

            add_theme_page(esc_html__( 'SilverMountain','silvermountain' ), esc_html__( 'SilverMountain','silvermountain' ), 'activate_plugins', 'silvermountain-about', array($this, 'silvermountain_main_page'),1);

        }

        // Settings Form
        function silvermountain_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new SilverMountain_About_page();

endif;